Skip to main content
PUT
/
phone
/
sip
/
transfer-destinations
/
{destination_id}
Update a transfer destination
curl --request PUT \
  --url https://api.open.cx/phone/sip/transfer-destinations/{destination_id} \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "type": "phone",
  "value": "<string>"
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "type": "phone",
  "value": "<string>",
  "created_at": "<string>",
  "updated_at": "<string>"
}

Path Parameters

destination_id
string
required

Body

application/json
name
string
Required string length: 1 - 255
type
enum<string>
Available options:
phone,
sip
value
string
Required string length: 1 - 500

Response

Default Response

id
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
name
string
required
type
enum<string>
required

"phone" or "sip"

Available options:
phone,
sip
value
string
required

Phone number (E.164) or SIP URI

created_at
string
required
updated_at
string
required